# DECORATOR

```
bool DECOR_SET_TIME(Entity entity, string propertyName, int timestamp)
bool DECOR_SET_BOOL(Entity entity, string propertyName, bool value)
bool DECOR_SET_FLOAT(Entity entity, string propertyName, float value)
bool DECOR_SET_INT(Entity entity, string propertyName, int value)
bool DECOR_GET_BOOL(Entity entity, string propertyName)
float DECOR_GET_FLOAT(Entity entity, string propertyName)
int DECOR_GET_INT(Entity entity, string propertyName)
bool DECOR_EXIST_ON(Entity entity, string propertyName)
bool DECOR_REMOVE(Entity entity, string propertyName)
void DECOR_REGISTER(string propertyName, int type)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/decorator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
